org.hibernate.search.query.dsl

## Interface QueryCustomization<T>

- All Known Subinterfaces:
    AllContext, BooleanJunction<T>, FuzzyContext, MoreLikeThisContext, MustJunction, PhraseContext, RangeContext, SimpleQueryStringContext, SpatialContext, TermContext, WildcardContext
  All Known Implementing Classes:
    ConnectedAllContext, ConnectedMoreLikeThisContext, ConnectedSpatialContext

      public interface QueryCustomization<T>

  Operations common to all types of queries
  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `boostedTo(float boost)` Boost the query to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `T` | `filteredBy(Query filter)` Filter the query results with the given Query instance
    `T` | `withConstantScore()` All results matching the query have a constant score equals to the boost FIXME is that true?

- - ### Method Detail

    - #### boostedTo

          T boostedTo(float boost)

      Boost the query to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Parameters:
        `boost` - the value to use as boost
      Returns:
        an instance of T for method chaining

    - #### withConstantScore

          T withConstantScore()

      All results matching the query have a constant score equals to the boost FIXME is that true?
      Returns:
        an instance of T for method chaining

    - #### filteredBy

          T filteredBy(Query filter)

      Filter the query results with the given Query instance
      Parameters:
        `filter` - the Query to use as a filter
      Returns:
        an instance of T for method chaining

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved